import { createErrorType, createFetchType, createSetType, createSuccessType } from "../actionHelpers";

const LOCATIONS_SCOPE = "LOCATIONS_SCOPE";
export const LOCATIONS_FETCH = createFetchType(LOCATIONS_SCOPE);
export const LOCATIONS_FETCH_SUCCESS = createSuccessType(LOCATIONS_SCOPE);
export const LOCATIONS_FETCH_ERROR = createErrorType(LOCATIONS_SCOPE);

export const LOCATIONS_SET = createSetType("LOCATIONS_SET");